# pointpos_api.api.ReportsApi

## Load the API package
```dart
import 'package:pointpos_api/api.dart';
```

All URIs are relative to *http://localhost*

Method | HTTP request | Description
------------- | ------------- | -------------
[**getReportsSales**](ReportsApi.md#getReportsSales) | **Get** /reports/:grouping | Get Reports Sales Summary


# **getReportsSales**
> ReportsSales getReportsSales(authorization, xAPIKey, grouping, filter)

Get Reports Sales Summary

Get Reports Sales Summary

### Example 
```dart
import 'package:pointpos_api/api.dart';
// TODO Configure API key authorization: JWT
//pointpos_api.api.Configuration.apiKey{'Authorization'} = 'YOUR_API_KEY';
// uncomment below to setup prefix (e.g. Bearer) for API key, if needed
//pointpos_api.api.Configuration.apiKeyPrefix{'Authorization'} = "Bearer";

var api_instance = new ReportsApi();
var authorization = authorization_example; // String | JWT Authorization
var xAPIKey = xAPIKey_example; // String | API Key
var grouping = grouping_example; // String | 
var filter = []; // List<String> | pipe separated field_name|operator|value  example:    - 'outletId|=|1'   - 'created_at|>=|2017-05-01T17:49:16+07:00'   - 'created_at|<=|2017-05-30T17:49:16+07:00'  valid fields:   - \"outletId\"   - \"created_at\"  valid operator:   - '='   - '<'   - '<='   - '>'    - '>='   - '!='   - 'contains' (string type only)   - 'not contains' (string type only)   - 'begins' (string type only)   - 'ends' (string type only)   - 'in'   - 'not_in' 

try { 
    var result = api_instance.getReportsSales(authorization, xAPIKey, grouping, filter);
    print(result);
} catch (e) {
    print("Exception when calling ReportsApi->getReportsSales: $e\n");
}
```

### Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **authorization** | **String**| JWT Authorization | [default to null]
 **xAPIKey** | **String**| API Key | [default to null]
 **grouping** | **String**|  | [default to null]
 **filter** | [**List&lt;String&gt;**](String.md)| pipe separated field_name|operator|value  example:    - &#39;outletId|&#x3D;|1&#39;   - &#39;created_at|&gt;&#x3D;|2017-05-01T17:49:16+07:00&#39;   - &#39;created_at|&lt;&#x3D;|2017-05-30T17:49:16+07:00&#39;  valid fields:   - \&quot;outletId\&quot;   - \&quot;created_at\&quot;  valid operator:   - &#39;&#x3D;&#39;   - &#39;&lt;&#39;   - &#39;&lt;&#x3D;&#39;   - &#39;&gt;&#39;    - &#39;&gt;&#x3D;&#39;   - &#39;!&#x3D;&#39;   - &#39;contains&#39; (string type only)   - &#39;not contains&#39; (string type only)   - &#39;begins&#39; (string type only)   - &#39;ends&#39; (string type only)   - &#39;in&#39;   - &#39;not_in&#39;  | [optional] [default to const []]

### Return type

[**ReportsSales**](ReportsSales.md)

### Authorization

[JWT](../README.md#JWT)

### HTTP request headers

 - **Content-Type**: Not defined
 - **Accept**: application/json, application/vnd.openxmlformats-officedocument.spreadsheetml.sheet

[[Back to top]](#) [[Back to API list]](../README.md#documentation-for-api-endpoints) [[Back to Model list]](../README.md#documentation-for-models) [[Back to README]](../README.md)

