import 'package:jaguar_serializer/jaguar_serializer.dart';


import 'package:pointpos_api/model/reports_sales_sales.dart';

part 'reports_sales.jser.dart';

class ReportsSales {
  
  @Alias('sales', isNullable: false,  )
  final List<ReportsSalesSales> sales;
  
  @Alias('totalItemSold', isNullable: false,  )
  final int totalItemSold;
  
  @Alias('totalItemRefunded', isNullable: false,  )
  final int totalItemRefunded;
  
  @Alias('totalGrossSales', isNullable: false,  )
  final num totalGrossSales;
  
  @Alias('totalDiscounts', isNullable: false,  )
  final int totalDiscounts;
  
  @Alias('totalNetSales', isNullable: false,  )
  final num totalNetSales;
  
  @Alias('totalRefund', isNullable: false,  )
  final int totalRefund;
  

  ReportsSales(
      

{
    
     this.sales = const [],  
     this.totalItemSold = null,  
     this.totalItemRefunded = null,  
     this.totalGrossSales = null,  
     this.totalDiscounts = null,  
     this.totalNetSales = null,  
     this.totalRefund = null 
    }
  );

  @override
  String toString() {
    return 'ReportsSales[sales=$sales, totalItemSold=$totalItemSold, totalItemRefunded=$totalItemRefunded, totalGrossSales=$totalGrossSales, totalDiscounts=$totalDiscounts, totalNetSales=$totalNetSales, totalRefund=$totalRefund, ]';
  }
}

@GenSerializer(nullableFields: true)
class ReportsSalesSerializer extends Serializer<ReportsSales> with _$ReportsSalesSerializer {

}

