import 'package:jaguar_serializer/jaguar_serializer.dart';


part 'reports_sales_sales.jser.dart';

class ReportsSalesSales {
  
  @Alias('id', isNullable: false,  )
  final String id;
  
  @Alias('name', isNullable: false,  )
  final String name;
  
  @Alias('categoryName', isNullable: false,  )
  final String categoryName;
  
  @Alias('itemSold', isNullable: false,  )
  final int itemSold;
  
  @Alias('itemRefunded', isNullable: false,  )
  final int itemRefunded;
  
  @Alias('grossSales', isNullable: false,  )
  final num grossSales;
  
  @Alias('discount', isNullable: false,  )
  final int discount;
  
  @Alias('refund', isNullable: false,  )
  final int refund;
  
  @Alias('netSales', isNullable: false,  )
  final num netSales;
  
  @Alias('grossProfit', isNullable: false,  )
  final num grossProfit;
  

  ReportsSalesSales(
      

{
    
     this.id = null,  
     this.name = null,   this.categoryName = null,  
    
     this.itemSold = null,  
     this.itemRefunded = null,  
     this.grossSales = null,  
     this.discount = null,  
     this.refund = null,  
     this.netSales = null,  
     this.grossProfit = null 
    }
  );

  @override
  String toString() {
    return 'ReportsSalesSales[id=$id, name=$name, categoryName=$categoryName, itemSold=$itemSold, itemRefunded=$itemRefunded, grossSales=$grossSales, discount=$discount, refund=$refund, netSales=$netSales, grossProfit=$grossProfit, ]';
  }
}

@GenSerializer(nullableFields: true)
class ReportsSalesSalesSerializer extends Serializer<ReportsSalesSales> with _$ReportsSalesSalesSerializer {

}

